# Edit this configuration file to define what should be installed on
# your system. Help is available in the configuration.nix(5) man page, on
# https://search.nixos.org/options and in the NixOS manual (`nixos-help`).

{ config, lib, pkgs, inputs, ... }:

{
  imports =
    [ # Include the results of the hardware scan.
      inputs.impermanence.nixosModules.impermanence
      ./hardware-configuration.nix
      ./impermanence.nix
      ./programs/streamcontroller.nix
      ./services/xserver.nix
      ./system/bootloader.nix
      ./system/environment.nix
      ./system/filesystems.nix
      ./system/networking.nix
      ./system/nvidia.nix
    ];

  system.stateVersion = "24.11"; # Did you read the comment?
}

